# Uses of Class
javax.sound.midi.Track

Packages that use Track
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.

## Uses of Track in javax.sound.midi

Fields in javax.sound.midi with type parameters of type Track
Modifier and Type
Field
Description
`protected Vector<Track>`
Sequence.`tracks`
The MIDI tracks in this sequence.
Methods in javax.sound.midi that return Track
Modifier and Type
Method
Description
`Track`
Sequence.`createTrack()`
Creates a new, initially empty track as part of this sequence.
`Track[]`
Sequence.`getTracks()`
Obtains an array containing all the tracks in this sequence.
Methods in javax.sound.midi with parameters of type Track
Modifier and Type
Method
Description
`boolean`
Sequence.`deleteTrack(Track track)`
Removes the specified track from the sequence.
`void`
Sequencer.`recordDisable(Track track)`
Disables recording to the specified track.
`void`
Sequencer.`recordEnable(Track track, int channel)`
Prepares the specified track for recording events received on a particular channel.